package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.EntityFinder;
import gov.va.med.esr.service.external.person.collections.CategoryCollection;

import java.util.Date;

/**
 * LNS = lastNameInitialPlusLastFourOfSsn
 * 
 * @author DNS   BOHMEG
 *
 */
public class LNSEntityFinder extends AbstractEntityFinder implements EntityFinder {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3141909763677625712L;
	private String lastNameInitialPlusLastFourOfSsn;
	
	LNSEntityFinder(String lastNameInitialPlusLastFourOfSsn) {
		super(null, null);
		this.lastNameInitialPlusLastFourOfSsn = lastNameInitialPlusLastFourOfSsn;
	}

	LNSEntityFinder(String lastNameInitialPlusLastFourOfSsn, String accountName, String requestName, CategoryCollection Categories) {
		super(accountName, requestName);
		this.lastNameInitialPlusLastFourOfSsn = lastNameInitialPlusLastFourOfSsn;
	}

	
	public String getFinderData() {
		return getLastNameInitialPlusLastFourOfSsn();
	}

	public String getLastNameInitialPlusLastFourOfSsn() {
		return lastNameInitialPlusLastFourOfSsn;
	}

	public void setLastNameInitialPlusLastFourOfSsn(
			String lastNameInitialPlusLastFourOfSsn) {
		this.lastNameInitialPlusLastFourOfSsn = lastNameInitialPlusLastFourOfSsn;
	}

}
